using System;

namespace MyApp
{
    internal class Program
    {
        static public bool MozeLiSe(int[] arr,int i, int j)
        {

            int br = 0;
            for(i = i; i<j; i++)
            {
                if (arr[i+1] < arr[i])
                {
                    br++;
                    if (br > 1)
                    {
                        return false;
                    }
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split();
            int[] arr = new int[N];
            for (int i = 0; i < N; i++)
            {
                arr[i] = int.Parse(s[i]);
            }
            //bool[,] mat = new bool[N, N];
            //bool prolaznost = false;
            //for (int i = 0; i < N; i++)
            //{
            //    for (int j = 0; j < N; j++)
            //    {
            //        if (prolaznost)
            //        {
            //            mat[i, j] = false;
            //        }
            //        else
            //        {
            //            if (i == j || Math.Abs(i-j)==1) mat[i, j] = true;
            //            else
            //            {
            //                if (MozeLiSe(arr, i, j)) { mat[i, j] = true; } else { mat[i, j] = false; prolaznost = true; }
            //            }
            //        }
            //    }
            //    prolaznost = false;
            //}
            int Nprim = int.Parse(Console.ReadLine());
            for(int i = 0; i < Nprim; i++)
            {
                string[] sprim = Console.ReadLine().Split();
                int first = int.Parse(sprim[0]);    
                int second = int.Parse(sprim[1]);

                if (MozeLiSe(arr, first - 1, second - 1))
                {
                    Console.WriteLine("DA");
                }
                else Console.WriteLine("NE");

                //if (mat[first - 1, second - 1])
                //{
                //    Console.WriteLine("DA");
                //}
                //else Console.WriteLine("NE");
            }
        }
    }
}